# Generated by Django 4.2.3 on 2023-07-26 17:07

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Beneficiary',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('dob', models.CharField(max_length=50)),
                ('ben_id', models.CharField(max_length=100, unique=True)),
                ('location', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Services',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(choices=[('FO', 'Food'), ('CL', 'Clothing'), ('HO', 'Housing'), ('JT', 'Job Training')], max_length=2)),
                ('beneficiary', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='connect_api.beneficiary')),
            ],
        ),
        migrations.CreateModel(
            name='Donation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('donor_name', models.CharField(blank=True, max_length=100)),
                ('donation_date', models.DateTimeField(auto_now_add=True)),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='connect_api.services')),
            ],
        ),
    ]
